View Issue Details

IDProjectCategoryView StatusLast Update
0032672LazarusWidgetsetpublic2019-09-09 20:03
ReporterJiri CvrkAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformMacOSMacOS High SierraOS Version10.13.1
Product VersionProduct Build56244 
Target VersionFixed in Version 
Summary0032672: [MacOS] TDEdit, TDBEdit alignment not working
Descriptionafter consultation in this thread
http://forum.lazarus.freepascal.org/index.php?topic=38890.0
I am quite sure, that TDEdit, TDBEdit allignment property is not working under MacOS
Steps To Reproduceplease see attached project written by Korba812
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Activities

Jiri Cvrk

2017-11-11 15:14

reporter  

test-editalignment.zip (128,647 bytes)

Bart Broersma

2017-11-11 15:48

developer   ~0104002

Please move to Lazarus.

Bart Broersma

2018-12-23 16:31

developer   ~0112831

We're one year later.
Can somebody please move this to Lazarus?

Dmitry Boyarintsev

2018-12-28 18:16

developer   ~0112959

works just fine in Cocoa, and it will not work in Carbon

Bart Broersma

2019-01-21 22:27

developer   ~0113555

> will not work in Carbon
As in:
does not work, must be fixed
or
cannot be implemented on Carbon?

Bart Broersma

2019-09-09 19:43

developer   ~0118008

Reminder sent to: Dmitry Boyarintsev

Hi Dimitry: is this fixable in Carbon at all?

Dmitry Boyarintsev

2019-09-09 20:02

developer   ~0118010

Last edited: 2019-09-09 20:02

View 3 revisions

"does not work, must be fixed", but only if it's fixable (if it's fixable or not I cannot say for sure).

i don't think I'll ever again touch Carbon myself
(there's no official documentation left, the best shot is to either use comments header files. Or to use archive mirrors. Such was wayback machine)

Carbon doesn't work at all in macOS 10.15, which is released in Autumn 2019.
So. there's no point in fixing Carbon

There's "alignment" implemented for StaticText control (see TCarbonStaticText). In theory the same approach could work for Edits.
But i'm not sure.

Issue History

Date Modified Username Field Change
2017-11-11 15:14 Jiri Cvrk New Issue
2017-11-11 15:14 Jiri Cvrk File Added: test-editalignment.zip
2017-11-11 15:48 Bart Broersma Note Added: 0104002
2018-12-23 16:31 Bart Broersma Note Added: 0112831
2018-12-28 15:08 Marco van de Voort Project FPC => Lazarus
2018-12-28 16:46 Bart Broersma LazTarget => -
2018-12-28 16:46 Bart Broersma Category LCL => Widgetset
2018-12-28 16:46 Bart Broersma Product Version 3.1.1 =>
2018-12-28 16:46 Bart Broersma Summary TDEdit, TDBEdit alignment not working => [MacOS] TDEdit, TDBEdit alignment not working
2018-12-28 18:16 Dmitry Boyarintsev Note Added: 0112959
2019-01-21 22:27 Bart Broersma Note Added: 0113555
2019-09-09 19:43 Bart Broersma Note Added: 0118008
2019-09-09 20:02 Dmitry Boyarintsev Note Added: 0118010
2019-09-09 20:02 Dmitry Boyarintsev Note Edited: 0118010 View Revisions
2019-09-09 20:02 Dmitry Boyarintsev Note Edited: 0118010 View Revisions